It is not required, but is highly recommended.